from django.db import models
from clients.models import Client
from fournisseurs.models import Fournisseur
from django.contrib.auth.models import User

# Create your models here.

class Commande(models.Model):
    client = models.ForeignKey(Client, on_delete=models.SET_NULL, null=True, blank=True)
    fournisseur = models.ForeignKey(Fournisseur, on_delete=models.SET_NULL, null=True, blank=True)
    date = models.DateField(null=True, blank=True)
    date_paiement =  models.DateField(null=True, blank=True)
    total = models.DecimalField(max_digits=19, decimal_places=2 , blank=True , null=True)
    total_remboursement = models.DecimalField(max_digits=19, decimal_places=2 , blank=True , null=True)
    reste = models.DecimalField(max_digits=19, decimal_places=2 , blank=True , null=True)
    sous_total = models.DecimalField(max_digits=19, decimal_places=2 , blank=True , null=True)
    frais_expedition =  models.DecimalField(max_digits=19, decimal_places=2 , blank=True , null=True)
    ajustement = models.DecimalField(max_digits=19, decimal_places=2 , blank=True , null=True)
    paiement = models.CharField(max_length= 100 , blank=True , null=True ,default='impaye')
    emballage = models.CharField(max_length= 100 , blank=True , null=True ,default='non emballe')
    expiditions = models.CharField(max_length= 100 , blank=True , null=True ,default='non expedie')
    created_at = models.DateTimeField(auto_now_add=True)
    updated_at = models.DateTimeField(auto_now=True)
    note = models.CharField(max_length= 250 , blank=True , null=True)
    staut_retour = models.BooleanField(default=False, null=True, blank=True)
    remise_bn_commande = models.DecimalField(max_digits=19, decimal_places=2 , blank=True , null=True) 
    reçu = models.CharField(max_length= 100 , blank=True , null=True ,default='Non reçu')
    user = models.ForeignKey(User, on_delete=models.SET_NULL , null=True, blank=True )
    type_commande = models.CharField(max_length= 100 , blank=True , null=True )
